<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
		<div class="row box-mb">
			<div class="col-sm-12">
				<label class="control-label"><b><ui:insert name="seccion_verificacion_identidad_titulo">
						<div>VERIFICACIÓN DE IDENTIDAD</div>
				</ui:insert></b></label>
			</div>
		</div>
		<div class="row box-mb">
			<p:fieldset>
				<fieldset>
					<p:panel id="panelVerificacionIdentidad" style="border: 0px solid #EDEDED;">
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_verificacion_identidad_campo_tipo_documento_identidad">
									<h:outputLabel for="tipoDocumentoIdentidadxValidar" value="Tipo de Documento : " styleClass="control-label" /><span class="style_requerido">*</span>
									<p:selectOneMenu id="tipoDocumentoIdentidadxValidar" value="#{bandejaSalaDelUsuarioMB.tipoDocumentoIdentidadxValidar}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItems value="#{bandejaSalaDelUsuarioMB.tiposDocumentoIdentidad}" var="item" itemValue="#{item.codigoRegistro}" itemLabel="#{item.nombreCorto}" />
										<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.updatePanelVerificacionIdentidad}" update="panelVerificacionIdentidad,:frmUserCreation" />				
									</p:selectOneMenu>
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_verificacion_identidad_campo_numero_documento_identidad">
									<h:outputLabel value="Número de Documento : "	styleClass="control-label" rendered="#{!bandejaSalaDelUsuarioMB.showTipoDocumentoPasaporte}" />
									<p:inputText value="#{bandejaSalaDelUsuarioMB.numeroDocumentoIdentidadxValidar}"	id="numeroDocumentoDNI"	onkeypress="return onlyNumber(event)" maxlength="8" style="text-transform:uppercase;"  
												rendered="#{bandejaSalaDelUsuarioMB.showTipoDocumentoDNI}"	readonly="#{!bandejaSalaDelUsuarioMB.readOnlyTipoDocumentoPasaporte}" required="false" styleClass="form-control" tabindex="1">
									</p:inputText>
									<p:inputText value="#{bandejaSalaDelUsuarioMB.numeroDocumentoIdentidadxValidar}" id="numeroDocumentoCE" onkeypress="return validatecla('alfanumerico', this)" maxlength="12" style="text-transform:uppercase;"
												rendered="#{bandejaSalaDelUsuarioMB.showTipoDocumentoCE}" readonly="#{!bandejaSalaDelUsuarioMB.readOnlyTipoDocumentoPasaporte}" required="false" styleClass="form-control" tabindex="1" />		
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_verificacion_identidad_campo_primer_apellido">
									<h:outputLabel for="primerApellido" value="Primer Apellido : " rendered="#{!bandejaSalaDelUsuarioMB.showTipoDocumentoPasaporte}" styleClass="control-label" />
									<p:inputText rendered="#{!bandejaSalaDelUsuarioMB.showTipoDocumentoPasaporte}" value="#{bandejaSalaDelUsuarioMB.primerApellidoxValidar}" readonly="#{!bandejaSalaDelUsuarioMB.readOnlyTipoDocumentoPasaporte}" id="primerApellido" style="text-transform: uppercase;" maxlength="30" required="false" styleClass="form-control" tabindex="1" />
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-4 col-sm-offset-8 text-left">
								<ui:insert name="seccion_verificacion_identidad_campo_buscar">
									<h:panelGroup rendered="#{bandejaSalaDelUsuarioMB.showPanelBusquedaReniec}">
										<h:outputLabel for="btnbuscarReniec" value=" " styleClass="control-label" />
										<p:commandButton rendered="true" id="btnbuscarReniec" value="Verificar en Reniec" styleClass="btn btn-default btn-sensitive btn-buscar"
														icon="icon-search ocultarImgIcon" ajax="true" actionListener="#{bandejaSalaDelUsuarioMB.validateDniRENIEC()}" onclick="PF('statusDialog').show()"
														oncomplete="PF('statusDialog').hide()" update=":frmUserCreation,cmbPais">
										</p:commandButton>
									</h:panelGroup>	
									<h:panelGroup rendered="#{bandejaSalaDelUsuarioMB.showPanelBusquedaMigraciones}">
										<h:outputLabel for="btnbuscarMigraciones" value=" " styleClass="control-label" />
										<p:commandButton rendered="true" id="btnbuscarMigraciones" value="Verificar en Migraciones" styleClass="btn btn-default btn-sensitive btn-buscar"
														icon="icon-search ocultarImgIcon" ajax="true" actionListener="#{bandejaSalaDelUsuarioMB.validateCEMigraciones()}" onclick="PF('statusDialog').show()"
														oncomplete="PF('statusDialog').hide()" update=":frmUserCreation">
										</p:commandButton>
									</h:panelGroup>	
								</ui:insert>
							</div>
						</div>
					</p:panel>
				</fieldset>
			</p:fieldset>
		</div>
	</ui:composition>
</body>
</html>